SIMPLEMONITOR(1)

NAME
simplemonitor - Monitor hosts status and network connectivity

SYNOPSIS
simplemonitor [OPTIONS]

DESCRIPTION
simplemonitor monitors hosts (disk space, load average, services, HTTP availability and much more) and network connectivity (based on ping replies).

This manual page is for the simplemonitor executable options. The full documentation for how to add monitors and alerters can be found in /usr/share/doc/simplemonitor/html.

OPTIONS

-h, --help
    Show help and exit

-p PIDFILE, --pidfile PIDFILE
    Write PID into PIDFILE

-N, --no-network
    Disable network listening socket (if enabled in config)

-f CONFIG, --config CONFIG
    Configuration file (this is the main config; monitors.ini is also needed (default filename))

OUTPUT CONTROLS

-v, --verbose
    Alias for --log-level=info

-q, --quiet
    Alias for --log-level=critical

-d, --debug
    Alias for --log-level=debug

-l LOGLEVEL, --log-level LOGLEVEL
    Log level: critical, error, warn, info, debug

-C, --no-colour, --no-color
    Do not colourise log output

--no-timestamps
    Do not prefix log output with timestamps

TEST AND DEBUG TOOLS

-t, --test
    Test config and exit

-l, --one-shot
    Run the monitors once only, without alerting. Require monitors without "fail" in the name, to succeed. Exit zero or non-zero accordingly

--loops LOOPS
    Number of iterations to run before exiting

--dump-known-resources
    Print out loaded Monitor, Alerter and Logger types

AUTHOR
This manual page was written by Carles Pina i Estany <carles@pina.cat> for the Debian system (but may be used by others). Permission is granted to copy, distribute and/or modify this document under the terms of the BSD-3-clause.

SEE ALSO
Full documentation in /usr/share/doc/simplemonitor/html